summaryrefslogtreecommitdiff
path: root/dev-python/dbus-python2/dbus-python2-1.2.16.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-24 18:29:19 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-24 18:29:19 +0000
commit2ae6e775712c12adb693178c6b5c104a64091e24 (patch)
tree9709520c2ac99cea024305cfc9799024fd0be9b0 /dev-python/dbus-python2/dbus-python2-1.2.16.ebuild
parent61f09dac1e93ecda99dd048d4d59eee94691c7ec (diff)
downloadbaldeagleos-repo-2ae6e775712c12adb693178c6b5c104a64091e24.tar.gz
baldeagleos-repo-2ae6e775712c12adb693178c6b5c104a64091e24.tar.xz
baldeagleos-repo-2ae6e775712c12adb693178c6b5c104a64091e24.zip
Updating liguros repo
Diffstat (limited to 'dev-python/dbus-python2/dbus-python2-1.2.16.ebuild')
-rw-r--r--dev-python/dbus-python2/dbus-python2-1.2.16.ebuild74
1 files changed, 74 insertions, 0 deletions
diff --git a/dev-python/dbus-python2/dbus-python2-1.2.16.ebuild b/dev-python/dbus-python2/dbus-python2-1.2.16.ebuild
new file mode 100644
index 000000000000..d52a27131951
--- /dev/null
+++ b/dev-python/dbus-python2/dbus-python2-1.2.16.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit autotools python-r1
+MY_PN=dbus-python
+MY_P=$MY_PN-$PV
+
+DESCRIPTION="Python bindings for the D-Bus messagebus"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/DBusBindings https://dbus.freedesktop.org/doc/dbus-python/"
+SRC_URI="https://dbus.freedesktop.org/releases/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86"
+
+IUSE="examples"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="test"
+
+RDEPEND="${PYTHON_DEPS}
+ !dev-python/dbus-python[python_targets_python2_7]
+ >=sys-apps/dbus-1.8:=
+ >=dev-libs/glib-2.40
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+ default
+ # Update py-compile, bug 529502.
+ eautoreconf
+ python_copy_sources
+}
+
+src_configure() {
+ local SPHINX_IMPL=${EPYTHON}
+
+ configuring() {
+ local myconf=(
+ --disable-documentation
+ )
+ [[ ${EPYTHON} == ${SPHINX_IMPL} ]] &&
+ myconf+=( --enable-documentation )
+
+ econf "${myconf[@]}"
+ }
+ python_foreach_impl run_in_build_dir configuring
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_test() {
+ unset DBUS_SESSION_BUS_ADDRESS
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ python_foreach_impl run_in_build_dir default
+ find "${D}" -name '*.la' -type f -delete || die
+ rm -r ${D}/usr/share
+ rm -r ${D}/usr/include
+ rm -r ${D}/usr/lib*/pkgconfig
+}